<bugID>585572<Summary>Fix incorrect sorting of rules</Summary><Description>Rules should be sorted in order of applicability. While the CssSpecificity algorithm seems OK (but check) There seems to be something wrong with the status part.
csslogic.js : CssLogic_markMatches() is a good place to start looking. It has debug. The answer is probably very simple</Description></bugID>